Bug 165836 - Review Request: cogito
Review Request: cogito
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://www.kernel.org/pub/linux/kerne...
:
Depends On: 165833
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-12 14:31 EDT by Chris Wright
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 20:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Wright 2005-08-12 14:31:06 EDT
Spec Name or Url: http://www.kernel.org/pub/linux/kernel/people/chrisw/git/review/cogito-0.13-2.src.rpm
SRPM Name or Url: http://www.kernel.org/pub/linux/kernel/people/chrisw/git/review/cogito.spec
Description: cogito provides a nice user interface to git-core.  this package is dependent on git-core.
Comment 1 Josh Boyer 2005-08-12 22:15:58 EDT
Getting a 403 error on the spec file.

Forbidden

You don't have permission to access
/pub/linux/kernel/people/chrisw/git/review/cogito.spec on this server.

I'll try and take a look this weekend.  Do you have a sponsor for Fedora Extras yet?
Comment 2 Chris Wright 2005-08-13 03:08:38 EDT
Ugh, sorry about that.  Both should be readable now.  No I don't have a sponsor.
Comment 3 Josh Boyer 2005-08-13 15:06:52 EDT
Nits:

1) Buildroot should be:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

to match up with the Packaging guidelines for FE.

2) Normally FE packages don't carry the Vendor: tag

3) Prereq: could probably be turned into Requires: and everything but git-core
>= 0.99.3 could probably be dropped.  git-core already requires the rest of the
items in that list

4) /usr/lib can be replaced by %{_libdir}

More review after I get git-core building and installed.

As for a sponsor, I've briefly spoken with Ed Hill.  Hopefully he will be able
to help out there.
Comment 4 Chris Wright 2005-08-15 13:28:25 EDT
- Buildroot updated to:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

- Vendor tag dropped

- Prereq turned to Requires, and now only depends on git-core >= 0.99.3

- Replace /usr/lib with %{_libdir}

New .src.rpm and .spec are uploading to:

http://kernel.org/pub/linux/kernel/people/chrisw/git/review/cogito-0.13-3.src.rpm
http://kernel.org/pub/linux/kernel/people/chrisw/git/review/cogito.spec

Thanks for review and help with sponsor.
Comment 5 Josh Boyer 2005-08-17 20:06:25 EDT
Updates look good.  I think this one is mostly done.  Still working on the sponsor.
Comment 6 Chris Wright 2005-08-17 20:10:59 EDT
Great, I'll feed the changes back upstream in the meantime.
Comment 7 Josh Boyer 2005-09-13 13:11:27 EDT
Any progress being made here?
Comment 8 Chris Wright 2005-09-16 03:15:24 EDT
Uploaded package to CVS.
Comment 9 Chris Wright 2005-09-16 18:15:54 EDT
Just noticed missing %{dist}.  Is there any reason not to add for this noarch
package?
Comment 10 Ed Hill 2005-09-16 19:07:36 EDT
Hi Chris, %{dist} isn't required but it certainly does make things easier when
you have multiple branches (FC-4, devel, etc.) and you do a "make tag".
Comment 11 Chris Wright 2005-09-16 20:03:44 EDT
OK, I'll go ahead and add this.  Thanks Ed.  Also fixup _libdir usage which
happens to break this noarch package on arches with _libdir == /usr/lib64, the
irony ;-)

Note You need to log in before you can comment on or make changes to this bug.